Bug 231885 - net-im/py-matrix-synapse: Update to 0.33.5.1
Summary: net-im/py-matrix-synapse: Update to 0.33.5.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Steve Wills
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-10-02 20:22 UTC by Sascha Biberhofer
Modified: 2019-03-22 21:57 UTC (History)
0 users

See Also:


Attachments
update net-im/py-matrix-synapse to 0.33.5.1 (3.71 KB, patch)
2018-10-02 20:22 UTC, Sascha Biberhofer
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Sascha Biberhofer 2018-10-02 20:22:18 UTC
Created attachment 197720 [details]
update net-im/py-matrix-synapse to 0.33.5.1

This patch updates net-im/py-matrix-synapse to 0.33.5.1. Changes include many bugfixes and some new features (see [1]).

The port includes a version bump as well as new/updated dependencies in accordance with the python dependencies listed for the project (see [2])

I've also updated the do-test section of the port to fix "make test" and added a missing dependency. As it turns out synapse needs lxml for the test suite and a URL preview functionality. I've treated this as an additional dependency and added a configure option to include it. Is this ok?

Cheers,
Sascha

[1] https://github.com/matrix-org/synapse/releases/tag/v0.33.5
[2] https://github.com/matrix-org/synapse/blob/master/synapse/python_dependencies.py
Comment 1 commit-hook freebsd_committer 2018-10-07 04:18:49 UTC
A commit references this bug:

Author: swills
Date: Sun Oct  7 04:18:14 UTC 2018
New revision: 481412
URL: https://svnweb.freebsd.org/changeset/ports/481412

Log:
  net-im/py-matrix-synapse: update to 0.33.5.1

  PR:		231885
  Submitted by:	Sascha Biberhofer <ports@skyforge.at> (maintainer)

Changes:
  head/net-im/py-matrix-synapse/Makefile
  head/net-im/py-matrix-synapse/distinfo
Comment 2 Steve Wills freebsd_committer 2018-10-07 04:21:07 UTC
Committed, thanks!
Comment 3 Mathieu Arnold freebsd_committer 2019-03-05 21:51:13 UTC
The URL_PREVIEW option does not do anything, it only has a description, but it does not add any dependency.
Comment 4 Sascha Biberhofer 2019-03-22 21:57:25 UTC
(In reply to Mathieu Arnold from comment #3)
Good catch, I've addressed this issue in the 0.99.2 version of the port: https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=236260#c2